%define version	1.9.2.1
%define release 11mdk
%define name kbdconfig

Summary: A text-based interface for setting and loading a keyboard map.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Configuration/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Source: %{name}-%{version}.tar.bz2
Patch: %{name}-deletekeys.patch.bz2
Buildrequires: popt-devel libnewt-devel

%description
The kbdconfig utility is a terminal mode program for setting the keyboard
map for your system. Keyboard maps are necessary for using any keyboard
besides the US default keyboard. Kbdconfig will load the selected keymap
before exiting and configure your machine to use that keymap automatically
after rebooting.

You should install kbdconfig if you need a utility for changing your
keyboard map.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch0 -p0

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
perl -pi -e "s!/man/!/share/man/!g" Makefile
perl -pi -e "s!/man/!/share/man/!g" man/Makefile
%makeinstall INSTROOT=$RPM_BUILD_ROOT
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%{_sbindir}/*
%{_mandir}/man8/*
%{_mandir}/pt_BR/man8/*

%changelog
* Wed May 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.9.2.1-11mdk
- rebuild

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.9.2.1-10mdk
- buildrequires

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.9.2.1-9mdk
- rebuild

* Wed Aug 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.9.2.1-8mdk
- rebuild

* Wed Aug 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.9.2.1-7mdk
- rebuild

* Thu Sep 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.9.2.1-6mdk
- clean spec

* Tue Aug 01 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.2.1-5mdk
- BM

* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.9.2.1-4mdk
- fix group
- fix files section
- fix permission on sources

* Thu Dec 02 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Patch to handle Delete= in /etc/sysconfig/keyboard

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Fri Oct  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.9.2.1

* Fri Sep 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- Fixed Indonesian locale (it is 'id' not 'in')

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update to 1.9.1

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Tue Mar  9 1999 Jeff Johnson <jbj@redhat.com>
- add in_ID.po

* Sat Feb 27 1999 Matt Wilson <msw@redhat.com>
- synced with UltraPenguin to add support for console-tools

* Sun Jan 10 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.40
 
* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- add ru.po

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- translation updates

* Fri Sep 25 1998 Cristian Gafton <gafton@redhat.com>
- turkish message catalog

* Wed Sep 23 1998 Erik Troan <ewt@redhat.com>
- look in qwertz directory as well

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- remove path checks from keyboard map processing.
- add sparc support.

* Sun Aug 02 1998 Erik Troan <ewt@redhat.com>
- added --back
- built against newt 0.30

* Sun Mar 22 1998 Erik Troan <ewt@redhat.com>
- added i18n support
- added --back option
- added man page
- buildrooted spec file

* Mon Jan 12 1998 Erik Troan <ewt@redhat.com>
- added patch to replace alloca() with malloc()

* Tue Nov  4 1997 Michael Fulbrght <msf@redhat.com>
- changed to handle .map and .map.gz files properly
